%define anolis_release 2

Summary: SELinux Translation Daemon
Name: mcstrans
Version: 3.5
Release: %{anolis_release}%{?dist}
License: GPL+
Url: https://github.com/SELinuxProject/selinux/wiki
Source: https://github.com/SELinuxProject/selinux/releases/download/%{version}/%{name}-%{version}.tar.gz
Source2: secolor.conf.8

BuildRequires: gcc make
BuildRequires: libselinux-devel >= %{version}
BuildRequires: libcap-devel pcre2-devel libsepol-devel libsepol-static
BuildRequires: systemd

Requires: pcre2
%{?systemd_requires}
Provides: setransd
Provides: libsetrans

%description
%{name} is a security tool used in Linux systems to manage and enforce
security policies related to Mandatory Access Control (MAC). It works
in conjunction with the Security-Enhanced Linux (SELinux) module to
provide an additional layer of security to the system.

The main purpose of %{name} is to translate between SELinux labels and
user-readable labels. It maps labels to user-friendly names, which can
be used to identify and control access to system resources. %{name}
maintains a database of mappings between SELinux labels and user-readable
labels, which can be modified by system administrators.

%{name} also provides a set of utilities for managing SELinux policies,
such as semanage and setfiles. These utilities allow system administrators
to create, modify, and enforce SELinux policies for different resources,
such as files, directories, and network interfaces.

%prep
%autosetup -p 2 -n mcstrans-%{version}

%build
%set_build_flags

%make_build LIBDIR="%{_libdir}"

%install
mkdir -p %{buildroot}/%{_lib}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}%{_datadir}/mcstrans
mkdir -p %{buildroot}%{_sysconfdir}/selinux/mls/setrans.d

%make_install LIBDIR="%{_libdir}" SHLIBDIR="%{_lib}" SBINDIR="%{_sbindir}"
rm -f %{buildroot}%{_libdir}/*.a
cp -r share/* %{buildroot}%{_datadir}/mcstrans/
# Systemd 
mkdir -p %{buildroot}%{_unitdir}
ln -s mcstrans.service %{buildroot}/%{_unitdir}/mcstransd.service
rm -rf %{buildroot}/%{_sysconfdir}/rc.d/init.d/mcstrans
install -m644 %{SOURCE2} %{buildroot}%{_mandir}/man8/

%post 
%systemd_post mcstransd.service

%preun
%systemd_preun mcstransd.service

%postun 
%systemd_postun mcstransd.service

%files
%{_mandir}/man8/mcs.8*
%{_mandir}/man8/mcstransd.8*
%{_mandir}/man5/setrans.conf.5*
%lang(ru) %{_mandir}/ru/man8/mcs.8*
%lang(ru) %{_mandir}/ru/man8/mcstransd.8*
%lang(ru) %{_mandir}/ru/man5/setrans.conf.5*
%{_mandir}/man8/secolor.conf.*
%{_sbindir}/mcstransd
%{_unitdir}/mcstrans.service
%{_unitdir}/mcstransd.service
%dir %{_sysconfdir}/selinux/mls/setrans.d

%dir %{_datadir}/mcstrans

%defattr(0644,root,root,0755)
%dir %{_datadir}/mcstrans/util
%dir %{_datadir}/mcstrans/examples
%{_datadir}/mcstrans/examples/*

%defattr(0755,root,root,0755)
%{_datadir}/mcstrans/util/*

%changelog
* Fri Apr 14 2023 Kun(llfl) <llfl@linux.alibaba.com> - 3.5-2
- optimize spec file

* Mon Feb 27 2023 Funda Wang <fundawang@yeah.net> - 3.5-1
- New version 3.5

* Wed Mar 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.3-1
- init from upstream
